Bug 626191 - QEmu loses ability to send characters to the guest after adding and removing USB Keyboard
QEmu loses ability to send characters to the guest after adding and removing ...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-22 12:30 EDT by Tobias Mueller
Modified: 2013-05-23 16:29 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-23 16:29:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2010-08-22 12:30:19 EDT
Description of problem:

For some reason, I cannot add and delete the QEmu USB keyboard without losing the ability to enter characters via the SDL window. If I add the keyboard again, I can enter characters again.

r $ qemu -cdrom ttylinux-i686-11.1.iso -usb -monitor stdio
QEMU 0.13.50 monitor - type 'help' for more information
(qemu) info usb
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    mmio fed00000/00000400
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-drive, id ""
            dev-prop: unit = 0
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: ver = "0.13.50"
            dev-prop: serial = "QM00003"
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            isa irq 6
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    mmio fec00000/00001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    mmio ffffffff/00000002
    mmio ffffffff/00000002
  dev: apic, id ""
    dev-prop: id = 0
    mmio fee00000/00100000
(qemu) usb_add keyboard
(qemu) info usb
  Device 0.0, Speed 12 Mb/s, Product QEMU USB Keyboard
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    mmio fed00000/00000400
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
          dev: usb-kbd, id ""
            addr 0.0, speed 12, name QEMU USB Keyboard, attached
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-drive, id ""
            dev-prop: unit = 0
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: ver = "0.13.50"
            dev-prop: serial = "QM00003"
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            isa irq 6
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    mmio fec00000/00001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    mmio ffffffff/00000002
    mmio ffffffff/00000002
  dev: apic, id ""
    dev-prop: id = 0
    mmio fee00000/00100000
(qemu) usb_del 0.0
# Now machine can't receive input via SDL.
(qemu) info usb
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    mmio fed00000/00000400
  dev: i440FX-pcihost, id ""
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-drive, id ""
            dev-prop: unit = 0
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: ver = "0.13.50"
            dev-prop: serial = "QM00003"
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            isa irq 6
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    mmio fec00000/00001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    mmio ffffffff/00000002
    mmio ffffffff/00000002
  dev: apic, id ""
    dev-prop: id = 0
    mmio fee00000/00100000
(qemu) 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:
No input is possible

Expected results:
I expected to be able to give input using the regular keyboard way

Additional info:
Comment 1 Bug Zapper 2011-06-01 06:49:36 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tobias Mueller 2011-06-25 12:17:51 EDT
Still an issue with F14.
Comment 3 Cole Robinson 2012-05-20 18:34:20 EDT
F14 is end-of-life now. Tobias, if you're still affected by this bug with newer
qemu versions (fedora 16 or 17), please reopen this report and we can forward
this upstream.
Comment 4 Tobias Mueller 2012-05-20 18:46:31 EDT
Still a problem on F16:

$ qemu-system-x86_64 -cdrom /home/muelli/backup/xbox-home/ISOs/ttylinux-x86_64-11.2.iso -usb -monitor stdio
QEMU 0.15.1 monitor - type 'help' for more information
(qemu) info usb
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    irq 32
    mmio 00000000fed00000/0000000000000400
  dev: i440FX-pcihost, id ""
    irq 0
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        dev-prop: masterbus = <null>
        dev-prop: firstport = 0
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-cd, id ""
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: bootindex = -1
            dev-prop: discard_granularity = 0
            dev-prop: ver = "0.15.1"
            dev-prop: serial = "QM00003"
            bus-prop: unit = 0
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        dev-prop: bootindex = -1
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.rom"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        bus-prop: command_serr_enable = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            dev-prop: bootindexA = -1
            dev-prop: bootindexB = -1
            isa irq 6
          dev: port92, id ""
          dev: vmmouse, id ""
          dev: vmport, id ""
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: isa-pit, id ""
            dev-prop: irq = 0
            dev-prop: iobase = 0x40
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    irq 0
    mmio 00000000fec00000/0000000000001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    irq 0
    mmio ffffffffffffffff/0000000000000002
    mmio ffffffffffffffff/0000000000000002
  dev: apic, id ""
    dev-prop: id = 0
    irq 0
    mmio 00000000fee00000/0000000000100000
(qemu) usb_add keyboard
(qemu) info usb
  Device 0.2, Port 1, Speed 12 Mb/s, Product QEMU USB Keyboard
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    irq 32
    mmio 00000000fed00000/0000000000000400
  dev: i440FX-pcihost, id ""
    irq 0
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        dev-prop: masterbus = <null>
        dev-prop: firstport = 0
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
          dev: usb-kbd, id ""
            bus-prop: port = <null>
            addr 0.2, port 1, speed 12, name QEMU USB Keyboard, attached
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-cd, id ""
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: bootindex = -1
            dev-prop: discard_granularity = 0
            dev-prop: ver = "0.15.1"
            dev-prop: serial = "QM00003"
            bus-prop: unit = 0
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        dev-prop: bootindex = -1
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.rom"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        bus-prop: command_serr_enable = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            dev-prop: bootindexA = -1
            dev-prop: bootindexB = -1
            isa irq 6
          dev: port92, id ""
          dev: vmmouse, id ""
          dev: vmport, id ""
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: isa-pit, id ""
            dev-prop: irq = 0
            dev-prop: iobase = 0x40
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    irq 0
    mmio 00000000fec00000/0000000000001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    irq 0
    mmio ffffffffffffffff/0000000000000002
    mmio ffffffffffffffff/0000000000000002
  dev: apic, id ""
    dev-prop: id = 0
    irq 0
    mmio 00000000fee00000/0000000000100000
(qemu) usb_del 0.0
could not delete USB device '0.0'
(qemu) info usb
  Device 0.2, Port 1, Speed 12 Mb/s, Product QEMU USB Keyboard
(qemu) usb_del 0.2
(qemu) info usb
(qemu) info qtree
bus: main-system-bus
  type System
  dev: hpet, id ""
    gpio-in 1
    dev-prop: timers = 3
    dev-prop: msi = off
    irq 32
    mmio 00000000fed00000/0000000000000400
  dev: i440FX-pcihost, id ""
    irq 0
    bus: pci.0
      type PCI
      dev: PIIX4_PM, id ""
        dev-prop: smb_io_base = 45312
        bus-prop: addr = 01.3
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Bridge, addr 00:01.3, pci id 8086:7113 (sub 1af4:1100)
        bus: i2c
          type I2C
          dev: smbus-eeprom, id ""
            bus-prop: address = 87
          dev: smbus-eeprom, id ""
            bus-prop: address = 86
          dev: smbus-eeprom, id ""
            bus-prop: address = 85
          dev: smbus-eeprom, id ""
            bus-prop: address = 84
          dev: smbus-eeprom, id ""
            bus-prop: address = 83
          dev: smbus-eeprom, id ""
            bus-prop: address = 82
          dev: smbus-eeprom, id ""
            bus-prop: address = 81
          dev: smbus-eeprom, id ""
            bus-prop: address = 80
      dev: piix3-usb-uhci, id ""
        dev-prop: masterbus = <null>
        dev-prop: firstport = 0
        bus-prop: addr = 01.2
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class USB controller, addr 00:01.2, pci id 8086:7020 (sub 1af4:1100)
        bar 4: i/o at 0xc020 [0xc03f]
        bus: usb.0
          type USB
      dev: piix3-ide, id ""
        bus-prop: addr = 01.1
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class IDE controller, addr 00:01.1, pci id 8086:7010 (sub 1af4:1100)
        bar 4: i/o at 0xc000 [0xc00f]
        bus: ide.1
          type IDE
          dev: ide-cd, id ""
            dev-prop: drive = ide1-cd0
            dev-prop: logical_block_size = 512
            dev-prop: physical_block_size = 512
            dev-prop: min_io_size = 0
            dev-prop: opt_io_size = 0
            dev-prop: bootindex = -1
            dev-prop: discard_granularity = 0
            dev-prop: ver = "0.15.1"
            dev-prop: serial = "QM00003"
            bus-prop: unit = 0
        bus: ide.0
          type IDE
      dev: rtl8139, id ""
        dev-prop: mac = 52:54:00:12:34:56
        dev-prop: vlan = 0
        dev-prop: netdev = <null>
        dev-prop: bootindex = -1
        bus-prop: addr = 03.0
        bus-prop: romfile = "pxe-rtl8139.rom"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Ethernet controller, addr 00:03.0, pci id 10ec:8139 (sub 1af4:1100)
        bar 0: i/o at 0xc100 [0xc1ff]
        bar 1: mem at 0xf2020000 [0xf20200ff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: cirrus-vga, id ""
        bus-prop: addr = 02.0
        bus-prop: romfile = "vgabios-cirrus.bin"
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class VGA controller, addr 00:02.0, pci id 1013:00b8 (sub 1af4:1100)
        bar 0: mem at 0xf0000000 [0xf1ffffff]
        bar 1: mem at 0xf2000000 [0xf2000fff]
        bar 6: mem at 0xffffffffffffffff [0xfffe]
      dev: PIIX3, id ""
        bus-prop: addr = 01.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = on
        bus-prop: command_serr_enable = on
        class ISA bridge, addr 00:01.0, pci id 8086:7000 (sub 1af4:1100)
        bus: isa.0
          type ISA
          dev: isa-fdc, id ""
            dev-prop: driveA = floppy0
            dev-prop: driveB = <null>
            dev-prop: bootindexA = -1
            dev-prop: bootindexB = -1
            isa irq 6
          dev: port92, id ""
          dev: vmmouse, id ""
          dev: vmport, id ""
          dev: i8042, id ""
            isa irqs 1,12
          dev: isa-parallel, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x378
            dev-prop: irq = 7
            dev-prop: chardev = parallel0
            isa irq 7
          dev: isa-serial, id ""
            dev-prop: index = 0
            dev-prop: iobase = 0x3f8
            dev-prop: irq = 4
            dev-prop: chardev = serial0
            isa irq 4
          dev: isa-pit, id ""
            dev-prop: irq = 0
            dev-prop: iobase = 0x40
          dev: mc146818rtc, id ""
            dev-prop: base_year = 2000
      dev: i440FX, id ""
        bus-prop: addr = 00.0
        bus-prop: romfile = <null>
        bus-prop: rombar = 1
        bus-prop: multifunction = off
        bus-prop: command_serr_enable = on
        class Host bridge, addr 00:00.0, pci id 8086:1237 (sub 1af4:1100)
  dev: ioapic, id ""
    gpio-in 24
    irq 0
    mmio 00000000fec00000/0000000000001000
  dev: fw_cfg, id ""
    dev-prop: ctl_iobase = 0x510
    dev-prop: data_iobase = 0x511
    irq 0
    mmio ffffffffffffffff/0000000000000002
    mmio ffffffffffffffff/0000000000000002
  dev: apic, id ""
    dev-prop: id = 0
    irq 0
    mmio 00000000fee00000/0000000000100000
(qemu)
Comment 5 Fedora End Of Life 2013-01-16 20:28:29 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tobias Mueller 2013-01-17 15:56:49 EST
still an issue


info usb
info qtree
usb_add keyboard
info usb
info qtree
usb_del 0.2
info usb
info qtree
Comment 7 Cole Robinson 2013-05-23 16:29:34 EDT
I think this was just recently fixed upstream:

commit 5a37532d0897de488c35ab2db6d86647bd2a1b6f
Author: Gerd Hoffmann <kraxel@redhat.com>
Date:   Wed Apr 24 12:08:38 2013 +0200

    input: introduce keyboard handler list
    
    Add a linked list of keyboard handlers.  Added handlers will go
    to the head of the list.  Removed handlers will be zapped from
    the list.  The head of the list will be used for events.
    
    This fixes the keyboard-dead-after-usb-kbd-unplug issue, key events
    will be re-routed to the ps/2 kbd instead of being discarded.

However there was a decent amount of work in this area, so it doesn't backport cleanly to F19 let alone F17 or F18.

I think the reasonable thing to do is CLOSED->UPSTREAM. Tobias, thanks for your patience. If this is causing particular issue for you (and not just something you noticed), feel free to reopen I can look more closely at a backport or custom fix.

Note You need to log in before you can comment on or make changes to this bug.